# Class TCefMediaObserverOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaObserver

## Declaration

`type TCefMediaObserverOwn = class(TCefBaseRefCountedOwn, ICefMediaObserver)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMediaObserverOwn

## Overview

### Methods

| `procedure OnSinks(const sinks: TCefMediaSinkArray); virtual;`
| `procedure OnRoutes(const routes: TCefMediaRouteArray); virtual;`
| `procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); virtual;`
| `procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnSinks(const sinks: TCefMediaSinkArray); virtual;`
This item has no description. Showing description inherited from ICefMediaObserver.OnSinks. The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called.

| `procedure OnRoutes(const routes: TCefMediaRouteArray); virtual;`
This item has no description. Showing description inherited from ICefMediaObserver.OnRoutes. The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

| `procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); virtual;`
This item has no description. Showing description inherited from ICefMediaObserver.OnRouteStateChanged. The connection state of |route| has changed.

| `procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); virtual;`
This item has no description. Showing description inherited from ICefMediaObserver.OnRouteMessageReceived. A message was received over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.